#if !NETFX_CORE

using System.Net.Sockets;
using System.Threading.Tasks;

namespace Plane.Communication
{
    /// <summary>
    /// 提供作为 TCP 服务器通信的能力。
    /// </summary>
    public class TcpServerConnection : TcpConnectionBase
    {
        public TcpServerConnection(TcpClient acceptedTcpClient)
        {
            _client = acceptedTcpClient;
            _stream = _client.GetStream();
        }

        public override Task OpenAsync()
        {
            // Do nothing.
            return TaskUtils.CompletedTask;
        }
    }
}

#endif
